import java.awt.*;
import java.awt.event.*;

public class Convertitore extends Frame implements ActionListener, WindowListener {
// casella di testo per dato (input)
 private TextField centigradi = new TextField("", 40);
// casella di testo per risultato (output)
 private TextField fahrenheit = new TextField("", 40);
// pulsante per lazione di conversione
 private Button converti = new Button("Converti");
 
// costruttore
 public Convertitore() {
  super("Conversione gradi"); // titolo finestra
  setSize(400, 110);
// dimensione finestra
  setResizable(false); // finestra non ridimensionabile
  fahrenheit.setEnabled(false); // casella di testo non editabile
  setVisible(true); // finestra visibile
  setLocation(200,150); // posizione iniziale finestra
// disposizione contenitori e componenti grafici
  this.setLayout(new GridLayout(3, 1, 2, 2));
  Panel p1 = new Panel();
  p1.setLayout(new GridLayout(1,2));
  Panel p2 = new Panel();
  p2.setLayout(new GridLayout(1,2));
  p1.add(new Label("Gradi Centigradi"));
  p2.add(new Label("Gradi Fahrenheit"));
  p1.add(centigradi);
// casella di testo per dato
  this.add(p1);
  this.add(converti); // pulsante per la conversione
  this.add(p2);
  p2.add(fahrenheit); // casella di testo per risultato
// registrazione gestori di eventi finestra e pulsante
  addWindowListener(this);
  converti.addActionListener(this);
 }
// metodo invocato dallevento di click sul pulsante di azione
 public void actionPerformed(ActionEvent event) {
  double gradiCentigradi, gradiFahrenheit;
  try {
    // acquisizione e conversione in formato numerico dato di input
   String valore = centigradi.getText();
   gradiCentigradi = Double.parseDouble(valore);
   // calcolo risultato conversione
   gradiFahrenheit = 32.0 + gradiCentigradi*1.8;
   // conversione in stringa e visualizzazione del risultato
   fahrenheit.setText(Double.toString(gradiFahrenheit));
  }
  catch(Exception exception) {
  fahrenheit.setText("");
  }
 }
// metodi listener eventi finestra
  public void windowIconified(WindowEvent event) {}
  public void windowDeiconified(WindowEvent event) {}
  public void windowActivated(WindowEvent event) {}
  public void windowDeactivated(WindowEvent event) {}
  public void windowOpened(WindowEvent event) {}
  public void windowClosed(WindowEvent event) {}
  public void windowClosing(WindowEvent event) {
  System.exit(0); // uscita dal programma
 }
 public static void main(String args[]){
  Convertitore convertitore = new Convertitore();
 }
}