import java.awt.*;
import java.awt.event.*;

public class DateGui extends Frame implements ActionListener, WindowListener {
// caselle di testo per dato (input)
 private TextField gg1 = new TextField("", 2);
 private TextField gg2 = new TextField("", 2);
 private TextField mm1 = new TextField("", 2);
 private TextField mm2 = new TextField("", 2);
 private TextField aa1 = new TextField("", 4);
 private TextField aa2 = new TextField("", 4);
// caselle di testo per risultato (output)
 private TextField giorno1 = new TextField("", 20);
 private TextField giorno2 = new TextField("", 20);
 private TextField giorni = new TextField("", 8);
// pulsante per lazione di conversione
 private Button calcola = new Button("Calcola");
 
// costruttore
 public DateGui() {
  super("Calcolo date"); // titolo finestra
  setSize(325, 125);
// dimensione finestra
  setResizable(false); // finestra non ridimensionabile
  giorno1.setEnabled(false); // casella di testo non editabile
  giorno2.setEnabled(false); // casella di testo non editabile
  giorni.setEnabled(false); // casella di testo non editabile
  setVisible(true); // finestra visibile
  setLocation(200,150); // posizione iniziale finestra
  Panel pdate=new Panel();
  pdate.setLayout(new GridLayout(2,4,2,2));
  pdate.add(new Label("data1"));
  pdate.add(gg1);
  pdate.add(mm1);
  pdate.add(aa1);
  pdate.add(new Label("data2"));
  pdate.add(gg2);
  pdate.add(mm2);
  pdate.add(aa2);
  Panel pgiorni=new Panel();
  pgiorni.setLayout(new GridLayout(2,1));
  pgiorni.add(giorno1);
  pgiorni.add(giorno2);
  Panel p1=new Panel();
  p1.setLayout(new GridLayout(2,1));
  p1.add(pdate);
  p1.add(calcola);
  Panel p2=new Panel();
  p2.setLayout(new GridLayout(2,1));
  p2.add(pgiorni);
  p2.add(giorni);
  
  
// disposizione contenitori e componenti grafici
  this.setLayout(new GridLayout(1, 2));
  this.add(p1);
  this.add(p2);
 // registrazione gestori di eventi finestra e pulsante
  addWindowListener(this);
  calcola.addActionListener(this);
 }
// metodo invocato dallevento di click sul pulsante di azione
 public void actionPerformed(ActionEvent event) {
  double gradiCentigradi, gradiFahrenheit;
  try {
    // acquisizione dati di input
   String day1 = gg1.getText();
   String month1 = mm1.getText();
   String year1=aa1.getText();
   String day2 = gg2.getText();
   String month2 = mm2.getText();
   String year2=aa2.getText();
   Data dt1=new Data(Integer.parseInt(year1),Integer.parseInt(month1),Integer.parseInt(day1));
   Data dt2=new Data(Integer.parseInt(year2),Integer.parseInt(month2),Integer.parseInt(day2));
   giorno1.setText(dt1.giornoSettimana());
   giorno2.setText(dt2.giornoSettimana());
   giorni.setText("Differenza: "+dt1.giorniAnnoSolare(dt2)+ " giorni");
  }
  catch(Exception exception) {
   giorno1.setText("");
   giorno2.setText("");
   giorni.setText("");
  }
 }
// metodi listener eventi finestra
  public void windowIconified(WindowEvent event) {}
  public void windowDeiconified(WindowEvent event) {}
  public void windowActivated(WindowEvent event) {}
  public void windowDeactivated(WindowEvent event) {}
  public void windowOpened(WindowEvent event) {}
  public void windowClosed(WindowEvent event) {}
  public void windowClosing(WindowEvent event) {
  System.exit(0); // uscita dal programma
 }
 public static void main(String args[]){
  DateGui d1 = new DateGui();
 }
}