import java.awt.*;
import java.awt.event.*;

public class DisegnoRettangolo extends Canvas implements MouseMotionListener,MouseListener{
   private Frame f1;
   private TextField tf1;
   private int x0;
   private int y0;
   private int x1;
   private int y1;
   private int stato;

 public void traccia(){
  f1 = new Frame("Disegno Rettangoli");
  f1.add(new Label("Tieni premuto il tasto sinistro e sposta il mouse"), BorderLayout.NORTH);
  tf1 = new TextField(30);
  f1.add(tf1,BorderLayout.SOUTH);
  f1.addMouseMotionListener(this);
  f1.addMouseListener(this);
  f1.setSize(300,200);
  f1.setVisible(true);
  f1.addWindowListener(new GestoreFinestra());
}
//i metodi dell'interfaccia MouseMotionListener devono essere implementati tutti
public void mouseDragged(MouseEvent e){
  String s= "Coordinate mouse: (" + e.getX() + "," + e.getY() +")";
  tf1.setText(s);
}
public void mouseMoved(MouseEvent e){
    stato=0;
}

//i metodi dell'interfaccia MouseListener debbono essere implementati tutti
public void mouseClicked(MouseEvent e){
  stato=0; 
}
public void mouseEntered(MouseEvent e){
  String s="Il mouse  nella finestra";
  tf1.setText(s);
  stato=0;
}
public void mouseExited (MouseEvent e){
  String s="Il mouse  uscito dalla finestra";
  tf1.setText(s);
  stato=0;
}
public void mousePressed (MouseEvent e){
        x0=e.getX();
        y0=e.getY();
        stato=1;}
public void mouseReleased(MouseEvent e){
    int scambio;
    if (stato==1){
        x1=e.getX();
        y1=e.getY();
        if(x1<x0){
            scambio=x0;
            x0=x1;
            x1=scambio;        
        }
        if(y1<y0){
            scambio=y0;
            y0=y1;
            y1=scambio;        
        }
        paint(f1.getGraphics());
        stato=0;
    }
}   
 public void paint (Graphics graphic_context) {
   graphic_context.drawRect(x0, y0, x1-x0, y1-y0);
   
  }   
 


 public static void main(String args []){
   DisegnoRettangolo mm = new DisegnoRettangolo();
   mm.traccia();
 }
}