public class Data {
    private int giorno;
    private int mese;
    private int anno;

    public int getAnno() {
        return anno;
    }

    public void setAnno(int anno) {
        this.anno = anno;
    }

    public int getGiorno() {
        return giorno;
    }

    public void setGiorno(int giorno) {
        this.giorno = giorno;
    }

    public int getMese() {
        return mese;
    }

    public void setMese(int mese) {
        this.mese = mese;
    }

    public Data(int anno, int mese, int giorno) {
        this.giorno = giorno;
        this.mese = mese;
        this.anno = anno;
    }

    
    
   public int dataInGiorni(int anno,int mese,int giorno){
    int a,b;
    if(mese<3){
    	anno=anno-1;
	mese=mese+12;
    }
    a=anno/100;
    b=2-a+a/4;
    return (int) (365.25*(anno+4716))+(int)(30.6001*(mese+1))+giorno+b-1524;
  }
  public String giornoSettimana(){
   int  Y, M, D;
   String giorni[]={"Domenica","Lunedi","Martedi","Mercoledi","Giovedi","Venerdi","Sabato"};
 
   Y = anno;
   M = mese-2;
   if (M <= 0){
      Y = Y-1;
      M = M+12;
   }
   D = (giorno + Y +(Y/4) - (Y/100) + (Y/400) + (31 * M/12)) % 7;
   return giorni[D];
  }
  int giorniAnnoSolare(Data d){
   return dataInGiorni(d.getAnno(),d.getMese(),d.getGiorno())-dataInGiorni(anno,mese,giorno);
 }
 public String toString(){
     return giorno+"/"+mese+"/"+anno;
 }
 public static void main(String argv[]) {
    Data d1 = new Data(2012,4,9);
    Data d2 = new Data(2012,01,01);
    System.out.println(d1.toString()+"  "+d1.giornoSettimana());
    System.out.println(d2.toString()+"  "+d2.giornoSettimana());             
    System.out.println("Giorni tra " +"  "+d1.toString()+" e  "+d1.toString()+": "+d2.giorniAnnoSolare(d1));	

	}
}